Fork me on GitHub
#clojurescript
<
2019-09-08
>
Sturm07:09:47

I'm using :npm-deps to include the wired-elements library, but am getting compile errors like ERROR: JSC_LANGUAGE_FEATURE. This language feature is only supported for ECMASCRIPT8 mode or better: async function., even when building with :language-out :ecmascript-2017. Any ideas?

Roman Liutikov08:09:38

it should be language-in, because you are giving an input to the compiler

Sturm08:09:38

Thanks @U0FR82FU1 I tried language-in also, but am still getting the same error

Sturm09:09:52

I've tried both language-in/language-out at the same time and misspelt the value just to check clojurescript is paying attention, which it is

Roman Liutikov09:09:44

Have you tried es-next?

Sturm10:09:05

@U0FR82FU1 same result unfortunately